Subject: bug#27488: du -tX -t-Y won't exclude or select an interval of SIZE

From: f0rhum <[email-masked]>
Date: Mon, 26 Jun 2017 09:37:21 +0200

On 26/06/2017 at 09:00, Pádraig Brady wrote :
> On 25/06/17 11:08, f0rhum wrote:
>> I know man clearly states "exclude entries smaller  than  SIZE  if 
>> positive,  or entries greater than..."
>> I don't know if it is a restriction in my 8.21, but only the last -t
>> option in my command line applies.
>> If not, maybe a feature could allow this like du -t3G-5G or -t3G -t-5G
>> could show dirs from 3 to 5G
>> and -t-3G5G or -t5G -t-3G would show all others.
>> Okay, I guess this would be an opened door for guys requesting more than
>> one intervall ;)
> Maybe, though it would complicate things,
> and make it incompat with older -t implementations.
> I'm not sure there is enough need for this?
>
> cheers,
> Pádraig
>
>
>
>
Incompat with elder implementations could be strictly preserved when
using a single -t. Man neither info coreutils state only the last -t is
taken into account.
Okay don't worry, I'll have to find how to script this, as I also need
to exclude directories that contain a 0 byte flag file.
Good week Pádraig and collegues, and thanks for your great work.

Fabrice